Bug Hunting Session
Bug 105853 - UI: Options page Calc > Formula, section Separator looks odd
Summary: UI: Options page Calc > Formula, section Separator looks odd
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2017-02-08 11:52 UTC by Cor Nouws
Modified: 2017-12-18 09:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
image with old and proposed situation (277.36 KB, image/png)
2017-02-08 11:52 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-02-08 11:52:12 UTC
Created attachment 131009 [details]
image with old and proposed situation

Hi,

As per subject.
I've been trying hard with Glade.
Best I could get is visible in attached image.
What do people think?
Comment 1 Heiko Tietze 2017-02-08 17:20:25 UTC
Good news first, it's not worse than before.

The input fields are unusual small now and the button is hanging around (perhaps anchor it to the right). But without any good suggestion I vote +0.25 for your patch.

(Issue with current situation is that these separators never grow to 20 characters to make that large input fields necessary. It just looks ridiculous.)
Comment 2 Cor Nouws 2017-02-08 21:27:02 UTC
(In reply to Heiko Tietze from comment #1)
> Good news first, it's not worse than before.

;)

> The input fields are unusual small now and the button is hanging around
> (perhaps anchor it to the right). But without any good suggestion I vote
> +0.25 for your patch.

I'll push a patch, so that you/others can test.
 
> (Issue with current situation is that these separators never grow to 20
> characters to make that large input fields necessary. It just looks
> ridiculous.)

Even more: there is code that restricts it to one position, prevent wrong characters and undesired combinations :)
Comment 3 Commit Notification 2017-10-16 04:57:55 UTC
Cor Nouws committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0867557d1176a1449b1babf7cfa8dcf5cff4b84

tdf#105853 improve layout Options > Calc > Formula ... separator

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-11-16 09:31:47 UTC
A polite ping to Cor Nouws: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 5 Cor Nouws 2017-12-18 09:25:35 UTC
is fixed in Version: 6.1.0.0.alpha0+
Build ID: aa0b08980aba7bc82ab75151129b0c643cde7dfa
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-04_23:24:32
Locale: nl-NL (nl_NL.UTF-8); Calc: group threaded